Subject: Re: bug#1348: set-frame-width and set-frame-position seem buggy on at least MSWindows

From: [email-masked]
Date: Tue, 2 Dec 2008 07:42:43 +0000

Quoting grischka <[email-masked]>:

> Below is a patch that fixes the problem on windows.

I believe this patch is incorrect, as it will result in the message handling
code running in the context of the Lisp thread, which will result in a whole
host of unreproducable crashing bugs if left like that. Probably the reason it
seems to work is that it introduces a delay that is generally long enough for
the real resizing or moving to take place before the Lisp thread continues.

Inter-thread synchronization is what is needed here to fix this safely and
deterministically.